Subject: Re: [NSIS] Problem in QoSNSLP/NSISNTLP draft

From: Andrew McDonald <[email-masked]>
Date: Thu, 02 Mar 2006 18:20:46 +0000

Robert Hancock wrote:
> you are right that there is no traffic class carried in the GIST MRI.
> however, the 6-bit DS-Field is there instead. the references are to rfc2474
> and rfc3260 which discuss the replacent of the 'traffic class' terminology
> with 'ds-field' terminology.
> 
> i don't know which document should fix this mainly terminological
> inconsistency; however, the fact that the 'traffic class' terminology had
> been replaced was pointed out to me by one of the QoS-NSLP authors :-)

That'd be me then. :-)

Comments below:

>>-----Original Message-----
>>From: [email-masked] [mailto:[email-masked]] On 
>>Behalf Of David Palma
>>Sent: 10 February 2006 16:10
>>To: [email-masked]
>>Subject: [NSIS] Problem in QoSNSLP/NSISNTLP draft
>>
>>
>>Hi all,
>>
>>I'm from the University of Coimbra and I'm currently 
>>implementing the QoS-NSLP.
>>
>>I started the tests between the QoS-NSLP and GIST but I found 
>>a problem.
>>
>>When creating the Packet Classifier, as described on section 
>>5.1.3.5 of the draft (draft-ietf-nsis-qos-nslp-08), it's 
>>assumed that we should get from the MRI the following flags:
>>
>>      X - Source Address and Prefix
>>      Y - Destination Address and Prefix
>>      P - Protocol
>>      T - Traffic Class
>>      F - Flow Label
>>      S - SPI
>>      A - Source Port
>>      B - Destination Port

"get from the MRI" probably isn't quite the right way to think about it 
- setting the flags in the PACKET_CLASSIFIER isn't necessarily a simple 
copy operation.

A flag can only be set in the packet classifier if the field is present 
in the MRI. The opposite is not true.

Part of the aim of the classifier is so that you can do things such as 
say "the packets for this reservation should be matched only using the 
DSCP" (as an example that RMD might use). That is, it allows you to use 
a subset of the information in the MRI as your packet classifier.

>>Cross checking the MRI object format of the GIST draft in 
>>section A.3.1
>>(draft-ietf-nsis-ntlp-08) the only existing flags are:
>>
>>   P - P=1 means that IP Protocol should be interpreted
>>   T - T=1 means that DS-Field should be interpreted; see [4] and [18]
>>   F - F=1 means that flow Label is present and should be interpreted
>>   S - S=1 means that SPI is present and should be 
>>interpreted; see [10]
>>   A/B - Source/Destination Port (see below)
>>   D - Direction of message relative to flow
>>
>>The Traffic Class field doesn't even exist! However in 
>>further searches I found that in an earlier version of GIMPS, 
>>like version 6, there was a Traffic Class field.

Yes, it should be:
T - DS-Field

>>To resume my question is:
>>
>> - Where should I get the X, Y and T flag since they are not 
>>part of the MRI object has it is supposed to be in the GIST MRI?

The MRI in GIST requires that both a source and destination address are 
provided. The X and Y flags were added to the packet classifier to allow 
some greater freedom by allowing you to say, for example, "match all 
packets (from whatever source address) going to this destination address".

I think some extra words would probably help to clarify this.

A suggested replacement for the paragraph after the list of flags:

The flags indicate which fields from the MRI should be used by the 
packet classifier. This allows a subset of the information in the MRI to 
be used for identifying the set of packets which are part of the 
reservation. Flags MUST only be set if the data is present in the MRI 
(i.e. where there is a corresponding flag in the GIST MRI, the 
PACKET_CLASSIFIER flag can only be set if the corresponding GIST MRI 
flag is set). It should be noted that some flags in the 
PACKET_CLASSIFIER (X and Y) relate to data that is always present in the 
MRI, but are optional to use for QoS NSLP packet classification. The 
appropriate set of flags set may depend, to some extent, on the QoS 
model being used.

regards,

Andrew

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis